IMFI - Feature #4143

Request Report Payroll — Format Bank Transfer (Based on Template)
01/13/2026 02:15 PM - Dhafin Riando

Status: QA Test Start date: 01/13/2026
Priority: Normal Due date: 01/23/2026
Assignee: Dhafin Riando % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Tim Developer,

Mohon bantuannya untuk dibuatkan Report Payroll Bank Transfer dengan format sesuai template terlampir (Excel), yang akan
digunakan untuk proses pembayaran gaji karyawan melalui bank.

Report ini wajib mengikuti struktur dan perhitungan yang sudah ditentukan agar dapat langsung digunakan untuk kebutuhan upload /
rekonsiliasi pembayaran payroll.

NO NAMA ACCOUNT AMOUNT Email CUSTOMERREFF BENEFICIARY BANK BENEFICIARY ADDRESS
1 Zaenab Haryanti 020101999999309 250000,55 |template @e-mail.com A1234
2, Restu Wijayanti 020101999999300 500000 |example@mail.com A1235
3 Daniswara Adriansyah 0120199999 750000,2 | email@corp.com A1238 BMRIIDJA JAKARTA
4 Harjo Wijaya 0901999 250000,22 |user@email.com A1237 SSPIIDJA JAKARTA
COUNT 4
TOTAL 1750000,97
CHECK 41750000,97
VALUEDATE (DDMMYYYY) 04072024
DEBITACCOUNT '020101999999301
Terimakasih.

remote.minovais.com:7071
database remote.minovais.com, 1452
Indomobil_Prod

History

#1 - 01/13/2026 02:15 PM - Dhafin Riando

- Status changed from New to Assigned

#2 - 01/13/2026 03:57 PM - Tri Rizqiaty

- Assignee changed from Tri Rizqiaty to Dhafin Riando
Dhafin,

- pakai menu baru atau menu lama?

- filter parameter sama ky bank transfer yg lama?
- field Customerreff, Beneficiary Bank, Beneficiary Address, Debit Account ini ambil dr tabel apa?

#3 - 01/14/2026 02:39 PM - Dhafin Riando

- Assignee changed from Dhafin Riando to Tri Rizqiaty

Dear Mbak Yoma,

Untuk bagian Email, Beneficiary Bank, dan Beneficiary Address, saat ini tidak perlu disertakan.

Namun, untuk Customer Reference, user menginginkan nomor yang unik dan hanya dapat digunakan satu kali. Artinya, setiap kali user melakukan
running report, nomor Customer Reference tersebut akan berbeda pada setiap bulan.

Adapun mekanisme kodenya adalah sebagai berikut:
1. Perubahan kode hanya terjadi setiap pergantian bulan.

2. Jika pada bulan yang sama user sudah melakukan generate satu kali, maka kode yang digunakan tetap sama.
3. Apabila user melakukan generate kembali di bulan yang sama, maka kode yang dihasilkan tetap menggunakan kode awal yang sudah digenerate

sebelumnya.

Untuk konsep penomorannya, dapat menggunakan skema yang sebelumnya telah kita diskusikan, yaitu:

A + kode paygroup + tahun + bulan + employee ID.

Apabila terdapat hal yang perlu saya setting atau siapkan, mohon diinformasikan ya, Mbak.

Terima kasih.

#4 - 01/14/2026 04:49 PM - Tri Rizqgiaty
- Assignee changed from Tri Rizqgiaty to Dhafin Riando

Ini report catalog & report parameter udah disetting kah?

#5 - 01/15/2026 02:37 PM - Dhafin Riando

- Assignee changed from Dhafin Riando to Tri Rizqiaty

Dear Mbak Yoma,

Untuk report_id menggunakan 1300335, ya Mbak. Kemudian, value date diambil dari tanggal transaksi sesuai dengan filter yang Mbak pilih.

Sedangkan untuk debit account, dapat menggunakan hardcode saja.

Terima kasih.

#6 - 01/15/2026 04:43 PM - Tri Rizqiaty

- File Rpt_IMFI_HR_PY _BankTransfer_New.rdl added
- File Parameter Bank Transfer New.xIsx added

- File Rpt_IMFI_HR_PY _BankTransfer_New.sql added
- File sync menu rpt bank transfer new.sql added

- Status changed from Assigned to Developing

Fixing :

- Execute SP terlampir

- Deploy rdl terlampir

- Update tbl2 sesuai file terlampir

- Execute Query Sync Menu untuk menu baru

#7 - 01/15/2026 04:43 PM - Tri Rizqiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqgiaty to Dhafin Riando
